Game Develop Core: IDE Classes ( Classes to be used to implement a development environment )

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Classes | Functions
IDE Classes ( Classes to be used to implement a development environment )

## Classes

class | gd::ArbitraryResourceWorker
| ArbitraryResourceWorker is used so as to inventory resources and sometimes update them. More...
class | gd::CommonBitmapManager
| Provide easy access to the most common wxBitmap used in dialogs. More...
class | gd::LayoutEditorCanvasGuiElement
| Describe a GUI element drawn on a LayoutEditorCanvas, like a resize button or a context button. More...
class | gd::LayoutEditorCanvas
| Base class for implementing the main canvas of layout editors. More...
class | gd::LayoutEditorCanvasAssociatedEditor
| Base class meant to be used by the IDE for its editors that are associated with a gd::LayoutEditorCanvas. More...
class | gd::EventsVariablesFinder
| Perform search over a project or a layout searching for variables. More...
class | gd::CallbacksForExpressionCorrectnessTesting
| Parser callbacks used to check expressions correctness. More...
class | ImagesUsedInventorizer
| Class used to track all images used in a game. More...
class | gd::ProjectResourcesCopier
| Copy all resources files of a project to a directory. More...
class | gd::ResourcesAbsolutePathChecker
| Helper used to check if a project has at least a resource with an absolute filename. More...
class | gd::ResourcesMergingHelper
| ResourcesMergingHelper is used ( mainly during compilation ) so as to inventory resources and change their filenames. More...
class | gd::ResourcesUnmergingHelper
| Helper used to regenerate resources filename from a "portable" game. More...
class | gd::SceneNameMangler
| Used to mangle the name of a scene. More...
class | gd::SkinHelper
| Provide tool functions to easily apply the current skin or theme to controls supporting it. More...
class | gd::TextFormatting
| Internal class used by gd::EventsRenderingHelper. More...
class | gd::AuiTabArt
| Internal class providing Game Develop specific skin for wxwidget's wxAuiNotebook class. More...
class | gd::FileProperty
| Property for wxPropertyGrid displaying its value with a button triggering a file selector. More...
class | gd::FlatAuiTabArt
| Internal class providing Game Develop specific skin for wxwidget's wxAuiNotebook class. More...
class | gd::RecursiveMkDir
| Provides an access to a recursive mkdir function. More...
class | gd::TreeItemStringData
| Tool class which can be used with wxTreeCtrl or others controls to associate one or two strings with items. More...
class | gd::ChangesNotifier
| Allows implementations to do specific work when some changes have been made in the IDE. More...

## Functions

void GD_CORE_API | gd::LaunchResourceWorkerOnEvents (const gd::Project &project, std::vector< boost::shared_ptr< gd::BaseEvent > > &events, gd::ArbitraryResourceWorker &worker)

## Detailed Description

Classes to be used to implement a development environment

## Function Documentation

void GD_CORE_API gd::LaunchResourceWorkerOnEvents | ( | const gd::Project & | project,
|  | std::vector< boost::shared_ptr< gd::BaseEvent > > & | events,
|  | gd::ArbitraryResourceWorker & | worker
| ) |  |

Tool function iterating over each event and calling Expose(Actions/Conditions)Resources for each actions and conditions with the ArbitraryResourceWorker passed as argument.

See Also
  gd::ArbitraryResourceWorker